# beforeEvaluate

abstract fun beforeEvaluate(action: Action<in Project>)

Adds an action to call immediately before this project is evaluated.

Passes the project to the action as a parameter. Actions passed to this method execute in the same order they were passed.

If the project has already been evaluated, the action never executes.

If you call this method within a `beforeEvaluate` action, the passed action never executes.

#### Parameters

action

the action to execute.

abstract fun beforeEvaluate(@DelegatesTo(value = Project::class) closure: Closure)

Adds a closure to call immediately before this project is evaluated.

#### Parameters

closure

The closure to call.

#### See also

Project